/***************************************************************************/
/**
	@file		string_addon.h
	@brief		some additional clever string functions
	@brief		Target/Compiler: AVR_MEGA / GCC(WinAVR)
	@author		Gerhard Bruenner
	@version	V0.13


	@date		2009.12.30  - removed split_string and string_copy
						      added strtrok_single_char
							  added define for ASCII-characters
	@date		2009.10.31  - Created              - GB

	@bug		none that I am aware so far

\***************************************************************************/


#define   STRING_ADDON_H /**< precompiler help */

/* Include-Dateien
****************************************************************************/
#include <stdio.h>


/* Defines
****************************************************************************/
	/* ASCII - CHARACTERS */
	#define _ASCII_BEL				0x07	/**< "Bell"				*/
	#define _ASCII_BS				0x08	/**< Back Space 		*/
	#define _ASCII_CR				0x0D	/**< Carriage Return 	*/
	#define _ASCII_LF				0x0A	/**< Line Feed 			*/
	#define _ASCII_ESC				0x1B	/**< Escape				*/
	#define _ASCII_DEL				0x7F	/**< Delete				*/
	#define _ASCII_SPACE			0x20	/**< Space				*/
	#define _ASCII_COMMA			0x2C	/**< Comma				*/

	/* Formating chararcters */
	#define _STRING_EOS				0x00	/**< End of String */

/* Function Prototypes
****************************************************************************/
void r_trim(char *string, char sign);
void l_trim(char *string, char sign);
void trim(char *string, char sign);
char *strtrok_single_char(char *c_ptr_search, char c_search);



/* globale int Variablen
****************************************************************************/

/* Functions
****************************************************************************/



#undef  STRING_ADDON_H
